You are viewing documentation for version 2 of the AWS SDK for Ruby. Version 3 documentation can be found here.
Class: Aws::Route53::Types::ListTrafficPoliciesResponse
- Inherits:
-
Struct
- Object
- Struct
- Aws::Route53::Types::ListTrafficPoliciesResponse
- Defined in:
- (unknown)
Overview
A complex type that contains the response information for the request.
Returned by:
Instance Attribute Summary collapse
-
#is_truncated ⇒ Boolean
A flag that indicates whether there are more traffic policies to be listed.
-
#max_items ⇒ Integer
The value that you specified for the
MaxItemsparameter in theListTrafficPoliciesrequest that produced the current response. -
#traffic_policy_id_marker ⇒ String
If the value of
IsTruncatedistrue,TrafficPolicyIdMarkeris the ID of the first traffic policy in the next group ofMaxItemstraffic policies. -
#traffic_policy_summaries ⇒ Array<Types::TrafficPolicySummary>
A list that contains one
TrafficPolicySummaryelement for each traffic policy that was created by the current AWS account.
Instance Attribute Details
#is_truncated ⇒ Boolean
A flag that indicates whether there are more traffic policies to be
listed. If the response was truncated, you can get the next group of
traffic policies by submitting another ListTrafficPolicies request and
specifying the value of TrafficPolicyIdMarker in the
TrafficPolicyIdMarker request parameter.
#max_items ⇒ Integer
The value that you specified for the MaxItems parameter in the
ListTrafficPolicies request that produced the current response.
#traffic_policy_id_marker ⇒ String
If the value of IsTruncated is true, TrafficPolicyIdMarker is the
ID of the first traffic policy in the next group of MaxItems traffic
policies.
#traffic_policy_summaries ⇒ Array<Types::TrafficPolicySummary>
A list that contains one TrafficPolicySummary element for each traffic
policy that was created by the current AWS account.